package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtAppApply;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtAppApplyDao {

    /**
     * 添加数据
     */
    int insert(PtAppApply ptAppApply);

    /**
     * 按主键查询
     */
    List<PtAppApply> selectByPrimaryKey(PtAppApply ptAppApply);

    /**
    * 按主键更新数据
    */
    int updateByPrimaryKey(PtAppApply ptAppApply);

    /**
    * 按主键删除数据-物理删除
    */
    int deleteByPrimaryKey(PtAppApply ptAppApply);

}
